com.pixelmed.test

## Class TestScanRange

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.pixelmed.test.TestScanRange

All Implemented Interfaces:
  junit.framework.Test

    public class TestScanRange
    extends junit.framework.TestCase

### Constructor Summary

Constructors
Constructor and Description
`TestScanRange(java.lang.String name)`

### Method Summary

Methods
`protected void` `setUp()`
`static junit.framework.Test` `suite()`
`protected void` `tearDown()`
`void` `testScanRange_Range_IToS()`
`void` `testScanRange_Range_SToI_NotPooled()`
`void` `testScanRange_Range_SToI()`
`void` `testScanRange_Range_ZeroI()`
`void` `testScanRange_Range_ZeroS()`
`void` `testScanRangeConstructor_Equality()`
`void` `testScanRangeConstructor_Inequality()`
`void` `testScanRangeConstructor_SignedNegativeConstructor()`
`void` `testScanRangeConstructor_SignedPositiveConstructor()`
`void` `testScanRangeConstructor_SignedPostiveAndNegativeConstructor()`
`void` `testScanRangeConstructor_WithAllParameters()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestScanRange

    public TestScanRange(java.lang.String name)

### Method Detail

#### suite

    public static junit.framework.Test suite()

#### setUp

    protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

#### tearDown

    protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

#### testScanRangeConstructor_SignedNegativeConstructor

    public void testScanRangeConstructor_SignedNegativeConstructor()

#### testScanRangeConstructor_SignedPositiveConstructor

    public void testScanRangeConstructor_SignedPositiveConstructor()

#### testScanRangeConstructor_SignedPostiveAndNegativeConstructor

    public void testScanRangeConstructor_SignedPostiveAndNegativeConstructor()

#### testScanRangeConstructor_WithAllParameters

    public void testScanRangeConstructor_WithAllParameters()

#### testScanRangeConstructor_Equality

    public void testScanRangeConstructor_Equality()

#### testScanRangeConstructor_Inequality

    public void testScanRangeConstructor_Inequality()

#### testScanRange_Range_ZeroI

    public void testScanRange_Range_ZeroI()

#### testScanRange_Range_ZeroS

    public void testScanRange_Range_ZeroS()

#### testScanRange_Range_IToS

    public void testScanRange_Range_IToS()

#### testScanRange_Range_SToI

    public void testScanRange_Range_SToI()

#### testScanRange_Range_SToI_NotPooled

    public void testScanRange_Range_SToI_NotPooled()